Antom, leading provider of tailored payment solutions

createQuote

POST /v1/aba/funds/createQuote

Use this interface to to request an unquoted foreign exchange rate with a higher frequency.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 


Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

buyAmount Amount  REQUIRED

Amount of foreign exchange purchased.

Show child parameters

sellAmount Amount  REQUIRED

Amount of foreign exchange sold.

Show child parameters

exchangeTradeType String  REQUIRED

Foreign exchange delivery type. Possible value range: 

  • SPOT: Real-time exchange rate.

Response parameters

result Object  REQUIRED

Indicates whether this API is called successfully.

Show child parameters

exchangeTradeType String  REQUIRED

Foreign exchange delivery type. Possible value range: 

  • SPOT: Real-time exchange rate.

quote Quote  REQUIRED

Foreign exchange rate information for the account's delivery request.

Show child parameters

sellAmount Amount  REQUIRED

Amount of foreign exchange sold.

Show child parameters

buyAmount Amount  REQUIRED

Amount of foreign exchange purchased.

Show child parameters
API Explorer

Request

URL
Method
POST
Case
Request with sell amount
Request Body

Response

Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSSuccess

This interface is called successfully.

PARAM_ILLEGALFIllegal parameters exist.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid. For details on the fields of each API, see the specific API Structure section.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support to resolve the issue.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact Antom Technical Support.

REQUEST_TRAFFIC_EXCEED_LIMITUThe request traffic exceeds the limit.

Call the interface again to resolve the issue. If the issue persists, contact Antom Technical Support.

CURRENCY_NOT_SUPPORTFThe currency is not supported.

Make sure the currency input is correct and try again.

CONTRACT_CHECK_FAILFThe contract check has failed.

Ensure the Partner has already signed a contract and the input is correct.

INVALID_APIFThe called API is invalid or not active.

Check whether the correct API is being called.

INVALID_CLIENTFThe client is invalid.

The Client ID does not exist or is invalid.

INVALID_SIGNATUREFThe signature is invalid.

Make sure the request is properly signed with a valid signature.

METHOD_NOT_SUPPORTEDFThe server does not implement the requested HTTP method.

Ensure the HTTP method is ​POST​.